Skip to content

Match payment with an existing Transaction

Matches an existing transaction as the payment for an income or expense.

View as Markdown

POST /v1/match-payment/{transactionId}

Needs an API key with the write scope.

Path parameters

  • transactionId string Required

Parameters

  • amount number Required

    The amount of the payment. This amount should be less or equal to matched income or expense's remaining balance. It should also be less or equal to transaction's not-matched balance.

More parameters

  • incomeId string, nullable

    32-character unique ID of the matching income. If this payment does not match with an income, do not include this field while sending your request. you can include expenseId to match with an expense.

  • expenseId string, nullable

    32-character unique ID of the matching Expense. If this payment does not match with an expense, do not include this field while sending your request. you can include incomeId to match with an income.

Returns

The transaction with its matched items.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).